package com.contextspace.objectdb_example.dao;

import java.util.List;

import com.contextspace.objectdb_example.dao.exception.DaoException;
import com.contextspace.objectdb_example.model.AttributeName;

public interface IAttributeNameDAO extends IBaseDAO<AttributeName, Long>{
	// find by Name
	public AttributeName GetByName(String name) throws DaoException;
	public boolean IsNameAvailable(String name) throws DaoException;
	
}
